## gst-plugins-tk-base0.10 0.10.13-0osso42~diablo2.tk2

=== debian/changelog ===
gst-plugins-tk-base0.10 (0.10.13-0osso42~diablo2.tk2) unstable; urgency=low

  * Added theora dependency back. Renamed source package name.

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 26 Dec 2008 14:30:08 +0200

gst-plugins-base0.10 (0.10.13-0osso42~diablo2.tk1) unstable; urgency=low

  * gst-plugins-base: Added debian package for ogg and removed all the
    rest.

 -- Tuomas Kulve <tuomas@kulve.fi>  Sun,  7 Sep 2008 20:54:02 +0300

gst-plugins-base0.10 (0.10.13-0osso42~diablo2) unstable; urgency=low

  * Remove unneeded stream-info handling, partially fixes: NB#82325

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 22 Apr 2008 15:19:58 +0300

gst-plugins-base0.10 (0.10.13-0osso42~diablo1) unstable; urgency=low

  * Enable udp transport for rtsp streams, Fixes:NB#81089 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 28 Feb 2008 15:34:28 +0200

gst-plugins-base0.10 (0.10.13-0osso42~diablo) unstable; urgency=low

  * Add byte limit to network buffer as well. This is in case that
    someone tweaks the source element blocksize to be something big.
    Partially fixes: NB#77912

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 29 Jan 2008 15:49:05 +0200

gst-plugins-base0.10 (0.10.13-0osso42~chinook) unstable; urgency=low

  * Make sure min-threshold-time is reset when buffer is full, Fixes:NB#66949 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  5 Nov 2007 18:21:18 +0200

gst-plugins-base0.10 (0.10.13-0osso41) unstable; urgency=low

  * Fix buffer offsets in gnomevfssrc. Needed for NB#62104

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 15 Oct 2007 10:13:18 +0300

gst-plugins-base0.10 (0.10.13-0osso40) unstable; urgency=low

  * Queue2 eos handling fix from:
    http://bugzilla.gnome.org/show_bug.cgi?id=476514 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 19:07:29 +0300

gst-plugins-base0.10 (0.10.13-0osso39) unstable; urgency=low

  * Remove GST_OBJECT_LOCKing from gnomevfssrc since it blocks 
    playbin queries. Fixes: NB#70407, NB#71199
  * Throw error if sink cannot be linked. Fixes: NB#67121

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 16:23:22 +0300

gst-plugins-base0.10 (0.10.13-0osso38) unstable; urgency=low

  * Reverted changeset 6180 (RTSP buffering fix) since it broke things.
    Fixes: NB#71465

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 12:05:49 +0300

gst-plugins-base0.10 (0.10.13-0osso37) unstable; urgency=low

  * Now playbin uses buffering for Samba shares. Fixes: NB#62485

 -- Stefan Kost <stefan.kost@nokia.com>  Fri, 28 Sep 2007 17:30:47 +0300

gst-plugins-base0.10 (0.10.13-0osso36) unstable; urgency=low

  * Increase multiqueue runtime max size time 2 -> 5 seconds. 
    Fixes: NB#69937

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 27 Sep 2007 16:54:42 +0300

gst-plugins-base0.10 (0.10.13-0osso35) unstable; urgency=low

  * Added rtsp:// in the list of streaming protocols in playbasebin.
    Fixes: NB#63879

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 26 Sep 2007 11:00:51 +0300

gst-plugins-base0.10 (0.10.13-0osso34) unstable; urgency=low

  * Fixed a possible deadlock in gnomevfssrc. Fixes: NB#69993

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 20 Sep 2007 10:30:11 +0300

gst-plugins-base0.10 (0.10.13-0osso33) unstable; urgency=low

  * Video basesink now rounds up the width when src_ratio < dst_ratio.
    Fixes: NB#69927

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 19 Sep 2007 10:11:13 +0300

gst-plugins-base0.10 (0.10.13-0osso32) unstable; urgency=low

  * Workaround to deadlock when changing decodebin2
    state from paused to ready while typefinding, Fixes: NB#62857
  * Fix warning with metadata pipeline

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 18 Sep 2007 18:06:03 +0300

gst-plugins-base0.10 (0.10.13-0osso31) unstable; urgency=low

  * Improve file access mode logic. 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 18 Sep 2007 17:51:29 +0300

gst-plugins-base0.10 (0.10.13-0osso30) unstable; urgency=low

  * Applied a patch from Olivier Crete. Fixes: NB#69683

 -- Felipe Contreras <felipe.contreras@nokia.com>  Mon, 17 Sep 2007 09:10:21 +0300

gst-plugins-base0.10 (0.10.13-0osso29) unstable; urgency=low

  * Fix ISO/IEC 14496-12 typefinding. Fixes NB#66725.

 -- Felipe Contreras <felipe.contreras@nokia.com>  Thu, 13 Sep 2007 14:02:55 +0300

gst-plugins-base0.10 (0.10.13-0osso28) unstable; urgency=low

  * Now PlayBin applies the current volume when audio sink is created.
    Fixes: NB#69276

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 13 Sep 2007 13:43:07 +0300

gst-plugins-base0.10 (0.10.13-0osso27) unstable; urgency=low

  * Added mute property 
  * Mixer interface handling improvements

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 12 Sep 2007 12:07:12 +0300

gst-plugins-base0.10 (0.10.13-0osso26) unstable; urgency=low

  * Aggregating read in gnomevfssrc to fix streaming. Fallback to non random
    io, if seeking fails. Fixes NB#68384

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 11 Sep 2007 14:01:12 +0300

gst-plugins-base0.10 (0.10.13-0osso25) unstable; urgency=low

  * Fix RTSP library to avoid reading partial messages

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 11 Sep 2007 13:10:52 +0300

gst-plugins-base0.10 (0.10.13-0osso24) unstable; urgency=low

  * Plug more decodebin2 leaks. 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 11 Sep 2007 09:22:34 +0300

gst-plugins-base0.10 (0.10.13-0osso23) unstable; urgency=low

  * Only try random-access if we're not in iradio-mode. Fixes NB#68769.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 10 Sep 2007 17:15:37 +0300

gst-plugins-base0.10 (0.10.13-0osso22) unstable; urgency=low

  * Backport leak fix (xvimagink, ximagesink) from upstream.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 10 Sep 2007 11:16:35 +0300

gst-plugins-base0.10 (0.10.13-0osso21) unstable; urgency=low

  * Relax multiqueue runtime limits, Fixes: NB#68620 

 -- Stefan Kost <stefan.kost@nokia.com>  Fri,  7 Sep 2007 12:02:58 +0300

gst-plugins-base0.10 (0.10.13-0osso20) unstable; urgency=low


