=== debian/control ===
Source: gst-plugins-tk-base0.10
Section: libs
Priority: optional
Maintainer: Makoto Sugano <makoto.sugano@nokia.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.13), autotools-dev, debhelper (>= 4.1.0), pkg-config (>= 0.11.0), libosso-gnomevfs2-dev (>= 2.4), liboil0.3-dev (>= 0.3.8), libglib2.0-dev (>= 2.6.0), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), libxv-dev, libpango1.0-dev, libasound2-dev, libogg-dev, libtheora-dev
Standards-Version: 3.6.2

Package: gstreamer0.10-plugins-base-ogg
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer0.10-plugins-base
Description: Collection of GStreamer plugins for OGG
 A list of plugins in this package:
   * ogg
   * theora
